Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2759113004: Make BrowserAccessibility implement AXPlatformNodeDelegete. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by dougt
Modified:
2 months ago
CC:
chromium-reviews, aboxhall+watch_chromium.org, nektar+watch_chromium.org, jam, yuzo+watch_chromium.org, je_julie, darin-cc_chromium.org, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make BrowserAccessibility implement AXPlatformNodeDelegete. As part of the fefactoring of BrowserAccessibility, we want to end up with BrowserAccessibility inheriting from AXPlatformNodeDelegate and owning a AXPlatformNode. This change has BrowserAccessibility implmenting a AXPlatformNodeDelegete. This implementation should do nothing. BUG=703369 Review-Url: https://codereview.chromium.org/2759113004 Cr-Commit-Position: refs/heads/master@{#459511} Committed: https://chromium.googlesource.com/chromium/src/+/15dcbd89eadd0958c8347a9dee7a26f7d8f614f6

Patch Set 1 #

Patch Set 2 : Rebase, remove one of the GetData() methods, and update the declaration of GetData to be const #

Messages

Total messages: 17 (11 generated)
dougt
2 months, 1 week ago (2017-03-20 23:50:17 UTC) #2
dmazzoni_ooo_until_may_30
lgtm
2 months, 1 week ago (2017-03-21 16:46:12 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759113004/1
2 months ago (2017-03-24 16:10:12 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/333579) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
2 months ago (2017-03-24 16:20:46 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759113004/20001
2 months ago (2017-03-24 19:08:35 UTC) #14
commit-bot: I haz the power
2 months ago (2017-03-24 19:16:36 UTC) #17
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/15dcbd89eadd0958c8347a9dee7a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06